summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrun-tests.sh19
-rwxr-xr-xtests/basic/rpm.t10
2 files changed, 21 insertions, 8 deletions
diff --git a/run-tests.sh b/run-tests.sh
index f95c8f978cb..aabf1da159a 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -20,15 +20,18 @@ function check_dependencies()
MISSING="$MISSING git"
fi
- # Check for mock
- if [ ! -e /usr/bin/mock ]; then
- MISSING="$MISSING mock"
- fi
+ # basic/rpm.t uses mock, which assumes Linux as the OS
+ if [ "x`uname -s`" = "xLinux" ] ; then
+ # Check for mock
+ if [ ! -e /usr/bin/mock ]; then
+ MISSING="$MISSING mock"
+ fi
- # Check for rpmbuild
- env rpmbuild --version > /dev/null 2>&1
- if [ $? -ne 0 ]; then
- MISSING="$MISSING rpmbuild"
+ # Check for rpmbuild
+ env rpmbuild --version > /dev/null 2>&1
+ if [ $? -ne 0 ]; then
+ MISSING="$MISSING rpmbuild"
+ fi
fi
# Check for nfs-utils (Linux-only: built-in NetBSD with different name)
diff --git a/tests/basic/rpm.t b/tests/basic/rpm.t
index db90398a152..bbe3f464477 100755
--- a/tests/basic/rpm.t
+++ b/tests/basic/rpm.t
@@ -16,6 +16,16 @@
. $(dirname $0)/../include.rc
+case $OSTYPE in
+Linux)
+ ;;
+*)
+ echo "Skip test using mock, which requires Linux" >&2
+ SKIP_TESTS
+ exit 0
+ ;;
+esac
+
# enable some extra debugging
if [ -n "${DEBUG}" -a "${DEBUG}" != "0" ]
then